#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.5
visibility:           public
id:                   persistent-test-2.0.3.5-GyQxkRZ7QVq5UD9bmhHhqw
key:                  persistent-test-2.0.3.5-GyQxkRZ7QVq5UD9bmhHhqw
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  06fb55d67130ad8b9543db2e8e71b7f3
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.3/site-local/persistent-test-2.0.3.5
library-dirs:         /usr/lib/ghc-8.10.3/site-local/persistent-test-2.0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/persistent-test-2.0.3.5
hs-libraries:         HSpersistent-test-2.0.3.5-GyQxkRZ7QVq5UD9bmhHhqw
depends:
    HUnit-1.6.1.0-AhWJ4ItV2KqIExS8jxtlOJ
    QuickCheck-2.14.2-5fkvySuqdOkHJCR1ch3DoT
    aeson-1.5.5.1-EbI2wCwFye45KEyklgimFo base-4.14.1.0
    blaze-html-0.9.1.2-AdZZJ9trprm5pr9fT3JxPd bytestring-0.10.12.0
    conduit-1.3.4-2v96LBKgIBNLLIsn8fub0J containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.6-4uCQojf7b1OBd4ktChHogr
    hspec-expectations-0.8.2-7OqKeVy4nvKGfLs4LUqx5T
    monad-control-1.0.2.3-B6wg2XSX8qI7VTW85RfeN0
    monad-logger-0.3.36-HkTWQUEzIW7EFcBy4ZjeP8 mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.11.0.2-FOJ9SgfC5Ca8VZEtL7uffM
    persistent-template-2.9.1.0-EPFweQ2s7RfGzWpcPyucnY
    quickcheck-instances-0.3.25.2-5pJgO33duhS3LRilgTNd7b
    random-1.2.0-H2LhGpStkJj2sCkwVKLQmg
    resourcet-1.2.4.2-EnGgIbcQAxjG1HuYCBwxXG text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-9gzkP060P5jGZMQcfNJU9E
    unliftio-0.2.13.1-4jQsYeehQ7lKl7Eb6oM1B9
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-B2itob00tt21MN59yWyZcw

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

